package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.ZhxxEntity;

/**
 * 公共设施收益分摊
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface GgsssyftService extends IService<YwpzEntity> {

	// 下拉框查询
	List<XlkEntity> selectxlk(Map<String, String> map);
	PageInfo<FwxxEntity> queryByPage(Integer pageNum, Integer pageSize,ZhxxEntity zhxxEntity);
	void insertft(YwpzEntity ywpzEntity);
	YwpzEntity selectdj(Map<String, String> map);
	List<XlkEntity> selectdjfw(Map<String, String> map);
	void deleteft(YwpzEntity ywpzEntity);
	PageInfo<YwpzEntity> queryByPageC(Integer pageNum, Integer pageSize,YwpzEntity ywpzEntity);
}
